# MonteCarloMembraneBarostat Class Reference

This is a Monte Carlo barostat designed specifically for membrane simulations. More...

Inheritance diagram for MonteCarloMembraneBarostat:

List of all members.

## Public Member Functions

def | Pressure
| Pressure() -> string.
def | SurfaceTension
| SurfaceTension() -> string.
def | getDefaultPressure
| getDefaultPressure(self) -> double
def | setDefaultPressure
| setDefaultPressure(self, double pressure)
def | getDefaultSurfaceTension
| getDefaultSurfaceTension(self) -> double
def | setDefaultSurfaceTension
| setDefaultSurfaceTension(self, double surfaceTension)
def | getFrequency
| getFrequency(self) -> int
def | setFrequency
| setFrequency(self, int freq)
def | getTemperature
| getTemperature(self) -> double
def | setTemperature
| setTemperature(self, double temp)
def | getXYMode
| getXYMode(self) -> XYMode
def | setXYMode
| setXYMode(self, XYMode mode)
def | getZMode
| getZMode(self) -> ZMode
def | setZMode
| setZMode(self, ZMode mode)
def | getRandomNumberSeed
| getRandomNumberSeed(self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(self, int seed)
def | __init__
| __init__(self, double defaultPressure, double defaultSurfaceTension, double temperature, XYMode xymode, ZMode zmode, int frequency = 25) -> MonteCarloMembraneBarostat __init__(self, double defaultPressure, double defaultSurfaceTension, double temperature, XYMode xymode, ZMode zmode) -> MonteCarloMembraneBarostat __init__(self, MonteCarloMembraneBarostat other) -> MonteCarloMembraneBarostat
def | __del__
| __del__(self)

## Public Attributes

| this

## Static Public Attributes

| XYIsotropic = _openmm.MonteCarloMembraneBarostat_XYIsotropic
| XYAnisotropic = _openmm.MonteCarloMembraneBarostat_XYAnisotropic
| ZFree = _openmm.MonteCarloMembraneBarostat_ZFree
| ZFixed = _openmm.MonteCarloMembraneBarostat_ZFixed
| ConstantVolume = _openmm.MonteCarloMembraneBarostat_ConstantVolume

## Detailed Description

This is a Monte Carlo barostat designed specifically for membrane simulations.

It assumes the membrane lies in the XY plane. The Monte Carlo acceptance criterion includes a term to model isotropic pressure, which depends on the volume of the periodic box, and a second term to model surface tension, which depends on the cross sectional area of the box in the XY plane. Note that pressure and surface tension are defined with opposite senses: a larger pressure tends to make the box smaller, but a larger surface tension tends to make the box larger.

There are options for configuring exactly how the various box dimensions are allowed to change:

- The X and Y axes may be treated isotropically, in which case they always scale by the same amount and remain in proportion to each other; or they may be treated anisotropically, in which case they can vary independently of each other.

- The Z axis can be allowed to vary independently of the other axes; or held fixed; or constrained to vary in inverse proportion to the other two axes, so that the total box volume remains fixed.

This class assumes the simulation is also being run at constant temperature, and requires you to specify the system temperature (since it affects the acceptance probability for Monte Carlo moves). It does not actually perform temperature regulation, however. You must use another mechanism along with it to maintain the temperature, such as LangevinIntegrator or AndersenThermostat.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, double defaultPressure, double defaultSurfaceTension, double temperature, XYMode xymode, ZMode zmode, int frequency = 25) -> MonteCarloMembraneBarostat __init__(self, double defaultPressure, double defaultSurfaceTension, double temperature, XYMode xymode, ZMode zmode) -> MonteCarloMembraneBarostat __init__(self, MonteCarloMembraneBarostat other) -> MonteCarloMembraneBarostat

Create a MonteCarloMembraneBarostat.

Parameters:

  | defaultPressure | the default pressure acting on the system (in bar)
  | defaultSurfaceTension | the default surface tension acting on the system (in bar*nm)
  | temperature | the temperature at which the system is being maintained (in Kelvin)
  | xymode | the mode specifying the behavior of the X and Y axes
  | zmode | the mode specifying the behavior of the Z axis
  | frequency | the frequency at which Monte Carlo volume changes should be attempted (in time steps)

def getDefaultPressure | ( |  | self | ) |

getDefaultPressure(self) -> double

Get the default pressure acting on the system (in bar).

def getDefaultSurfaceTension | ( |  | self | ) |

getDefaultSurfaceTension(self) -> double

Get the default surface tension acting on the system (in bar*nm).

def getFrequency | ( |  | self | ) |

getFrequency(self) -> int

Get the frequency (in time steps) at which Monte Carlo volume changes should be attempted. If this is set to 0, the barostat is disabled.

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getTemperature | ( |  | self | ) |

getTemperature(self) -> double

Get the temperature at which the system is being maintained, measured in Kelvin.

def getXYMode | ( |  | self | ) |

getXYMode(self) -> XYMode

Get the mode specifying the behavior of the X and Y axes.

def getZMode | ( |  | self | ) |

getZMode(self) -> ZMode

Get the mode specifying the behavior of the Z axis.

def Pressure | ( |  | ) |

Pressure() -> string.

This is the name of the parameter which stores the current pressure acting on the system (in bar).

def setDefaultPressure | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultPressure(self, double pressure)

Set the default pressure acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | pressure | the default pressure acting on the system, measured in bar.

def setDefaultSurfaceTension | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultSurfaceTension(self, double surfaceTension)

Set the default surface tension acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | surfaceTension | the default surface tension acting on the system, measured in bar.

def setFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setFrequency(self, int freq)

Set the frequency (in time steps) at which Monte Carlo volume changes should be attempted. If this is set to 0, the barostat is disabled.

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(self, int seed)

Set the random number seed. It is guaranteed that if two simulations are run with different random number seeds, the sequence of Monte Carlo steps will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(self, double temp)

Set the temperature at which the system is being maintained.

Parameters:

  | temp | the system temperature, measured in Kelvin.

def setXYMode | ( |  | self,
|  |  | args |
| ) |  |  |

setXYMode(self, XYMode mode)

Set the mode specifying the behavior of the X and Y axes.

def setZMode | ( |  | self,
|  |  | args |
| ) |  |  |

setZMode(self, ZMode mode)

Set the mode specifying the behavior of the Z axis.

def SurfaceTension | ( |  | ) |

SurfaceTension() -> string.

This is the name of the parameter which stores the current surface tension acting on the system (in bar*nm).

## Member Data Documentation

ConstantVolume = _openmm.MonteCarloMembraneBarostat_ConstantVolume`[static]`

this

XYAnisotropic = _openmm.MonteCarloMembraneBarostat_XYAnisotropic`[static]`

XYIsotropic = _openmm.MonteCarloMembraneBarostat_XYIsotropic`[static]`

ZFixed = _openmm.MonteCarloMembraneBarostat_ZFixed`[static]`

ZFree = _openmm.MonteCarloMembraneBarostat_ZFree`[static]`

The documentation for this class was generated from the following file:

- openmm.py